OpenVDB: EllipsoidTransferMat3< SdfT, PositionCodecT, RadiusType, FilterType, CPG > Struct Template Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
EllipsoidTransferMat3< SdfT, PositionCodecT, RadiusType, FilterType, CPG > Struct Template Referencefinal

Specialization for mat3 types (see above comment). More...

`#include <openvdb/points/impl/PointRasterizeEllipsoidsSDFImpl.h>`

Inheritance diagram for EllipsoidTransferMat3< SdfT, PositionCodecT, RadiusType, FilterType, CPG >:

## Public Types
using | BaseT = EllipsoidTransfer<SdfT, PositionCodecT, RadiusType, FilterType, CPG>
using | XformHandleT = points::AttributeHandle<math::Mat3s>
using | RealT
using | PHandleT
using | PwsHandleT

## Public Member Functions
| EllipsoidTransferMat3 (const size_t pidx, const Vec3i width, const RadiusType &rt, const math::Transform &source, const FilterType &filter, util::NullInterrupter *interrupt, SdfT &surface, const EllipseIndicies &indices, Int64Tree *cpg=nullptr, const std::unordered_map< const PointDataTree::LeafNodeType *, Index > *ids=nullptr)
| EllipsoidTransferMat3 (const EllipsoidTransferMat3 &other)
bool | startPointLeaf (const PointDataTree::LeafNodeType &leaf)
void | rasterizePoint (const Coord &ijk, const Index id, const CoordBBox &bounds)
void | rasterizePoint (const Coord &ijk, const Index id, const CoordBBox &bounds, const Mat3s &xform)

## Static Public Attributes
static const Index | DIM
static const Index | LOG2DIM

## Protected Attributes
const EllipseIndicies & | mIndices

## Detailed Description

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterType, bool CPG>
struct openvdb::v13_0::points::rasterize_sdf_internal::EllipsoidTransferMat3< SdfT, PositionCodecT, RadiusType, FilterType, CPG >

Specialization for mat3 types (see above comment).

## Member Typedef Documentation

## ◆ BaseT

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterType, bool CPG>

using BaseT = EllipsoidTransfer<SdfT, PositionCodecT, RadiusType, FilterType, CPG>

## ◆ PHandleT

using PHandleT
| inherited

## ◆ PwsHandleT

using PwsHandleT
| inherited

## ◆ RealT

using RealT
| inherited

## ◆ XformHandleT

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterType, bool CPG>

using XformHandleT = points::AttributeHandle<math::Mat3s>

## Constructor & Destructor Documentation

## ◆ EllipsoidTransferMat3() [1/2]

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterType, bool CPG>

EllipsoidTransferMat3 | ( | const size_t | pidx,
|  | const Vec3i | width,
|  | const RadiusType & | rt,
|  | const math::Transform & | source,
|  | const FilterType & | filter,
|  | util::NullInterrupter * | interrupt,
|  | SdfT & | surface,
|  | const EllipseIndicies & | indices,
|  | Int64Tree * | cpg = nullptr,
|  | const std::unordered_map< const PointDataTree::LeafNodeType *, Index > * | ids = nullptr )
| inline

## ◆ EllipsoidTransferMat3() [2/2]

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterType, bool CPG>

EllipsoidTransferMat3 | ( | const EllipsoidTransferMat3< SdfT, PositionCodecT, RadiusType, FilterType, CPG > & | other | ) |
| inline

## Member Function Documentation

## ◆ rasterizePoint() [1/2]

void rasterizePoint | ( | const Coord & | ijk,
|  | const Index | id,
|  | const CoordBBox & | bounds,
|  | const Mat3s & | xform )
| inlineinherited

## ◆ rasterizePoint() [2/2]

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterType, bool CPG>

void rasterizePoint | ( | const Coord & | ijk,
|  | const Index | id,
|  | const CoordBBox & | bounds )
| inline

## ◆ startPointLeaf()

template<typename SdfT, typename PositionCodecT, typename RadiusType, typename FilterType, bool CPG>

bool startPointLeaf | ( | const PointDataTree::LeafNodeType & | leaf | ) |
| inline

## Member Data Documentation

## ◆ DIM

const Index DIM
| staticinherited

## ◆ LOG2DIM

const Index LOG2DIM
| staticinherited

## ◆ mIndices

const EllipseIndicies& mIndices
| protectedinherited